<?php



session_start();

date_default_timezone_set('America/Lima');

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");



require_once("cCompra.php");

$oCompra = new cCompra();

require_once("cComprapago.php");

$oComprapago = new cComprapago();

require_once ("../egreso/cEgreso.php");

$oEgreso = new cEgreso();

require_once("../almacen/cAlmacen.php");

$oAlmacen = new cAlmacen();



require_once("../formatos/formato.php");



require_once("../proveedor/cProveedor.php");

$oProveedor = new cProveedor();



require ("../../libreriasphp/consultaruc/curl.php");

require ("../../libreriasphp/consultaruc/sunat.php");

$sunat = new Sunat();





require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';



move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);



$archivo = $_FILES['file_archivo']['name'];



$inputFileType = PHPExcel_IOFactory::identify($archivo);

$objReader = PHPExcel_IOFactory::createReader($inputFileType);

$objPHPExcel = $objReader->load($archivo);

$sheet = $objPHPExcel->getSheet(0); 

$highestRow = $sheet->getHighestRow(); 

$highestColumn = $sheet->getHighestColumn();





for ($row = 2; $row <= $highestRow; $row++){ 



		$feccod = $sheet->getCell("A".$row)->getValue();	

		$doc = $sheet->getCell("B".$row)->getValue()*1;

		$numdoc = $sheet->getCell("C".$row)->getValue();

		$mon = $sheet->getCell("D".$row)->getValue()*1; 

		$tipcam = $sheet->getCell("E".$row)->getValue();	

		$provid = $sheet->getCell("F".$row)->getValue()*1;		

		$tot = $sheet->getCell("G".$row)->getValue();

		$estcuen = $sheet->getCell("H".$row)->getValue()*1;	

		$venci = $sheet->getCell("I".$row)->getValue()*1;

		$for = $sheet->getCell("J".$row)->getValue()*1;

		$mod = $sheet->getCell("K".$row)->getValue()*1;

		$dia = $sheet->getCell("L".$row)->getValue()*1;

		

		/* echo $feccod.' - '.$provid;

		

		

		$feccod1 =  date('Y-m-d',mktime(12,0,0,1, $feccod - 1,1900));

		$feclet1 = str_ireplace(' ','',$feccod1); */

		$fec = $feccod ; //str_ireplace('/','-',$feclet1);

				

		$valven = $tot / 1.18;

		$igv = $valven * 0.18;

				

		$oCompra->insertar(

			fecha_mysql($fec), // fecha de compra

			//fecha_mysql($_POST['txt_com_fec_emi']), // fecha de compra

			$doc, // documento de compra 	| factura | boleta

			$numdoc,// numero de documento

			$mon,// tipo de moneda 		|SOL | DOLAR

			$tipcam,// tipo de cambio si la moneda fuese dolares

			$provid, // id proveedor

			moneda_mysql($valven), // sub total

			moneda_mysql($_POST['txt_com_des']),   		// descuento a filas

			moneda_mysql($_POST['txt_com_descal']),   	// descuento

			moneda_mysql($_POST['txt_com_fle']),   		// flete

			$_POST['cmb_com_tippre'],   				// tipo de afectación del flete

			moneda_mysql($_POST['txt_com_ajupos']),   	// ajuste positivo

			moneda_mysql($_POST['txt_com_ajuneg']),   	// ajuste negativo

			moneda_mysql($valven),   	// valor de la compra

			moneda_mysql($igv),   		// igv de la compra

			moneda_mysql($tot),   		// total de la compra

			$_POST['chk_com_tipper'],   				// ni idea ._.

			moneda_mysql($_POST['txt_com_per']),   		// none

			'1',   					// estado 1REGISTRADA - 2CANCELADA

			'1',   				// almacen de productos

			$_SESSION['usuario_id'],   					// USUARIO ID

			'1', 						// EMPRESA ID

			'1', 						// PUNTO VENTA ID

			'1',			// PISO ID

			$_POST['cmb_per_mes'],

			$_POST['cmb_per_anio'],

			$_POST['txt_com_nroped'],

			$_POST['txt_com_nroordcom'],

			$_POST['txt_com_nroguia_e'],

			$_POST['txt_com_nroguia_t'],

			$_POST['txt_com_ref'],

			fecha_mysql($fec),

			$_POST['txt_com_opeina'],

			$_POST['txt_com_opeexo'],

			moneda_mysql($valven)

			//$_POST['cmb_com_tippro']

		);



 		$dts=$oCompra->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

 			$com_id=$dt['last_insert_id()'];

 		mysqli_free_result($dts);



		/* $venci =  date('Y-m-d',mktime(12,0,0,1, $venci - 1,1900));

		$fecvenci = str_ireplace(' ','',$venci); */

		$fecvenci =$venci; // str_ireplace('/','-',$fecvenci);

		

		if($fecvenci=="" || $fecvenci = '0000-00-00'){

			$fecvenci = $fec;

		}else{

			$fecvenci = $fecvenci;

		}

		

		

		

		$oComprapago->insertar(

				$for, //forma pago

				$mod,	// modo pago

				moneda_mysql($tot),

				'1', // ID CAJA		

				$dia,

				fecha_mysql($fecvenci), //fecha vencimento

				fecha_mysql($fecvenci), //fecha vencimento

				$estcuen,

				$com_id,

				'',

				'',

				'',

				'',

				'1',

				'3'

			);

			

			

			if($estcuen == 1){

			$det  = 'PAGO FACTURA :: '.$numdoc;

			$oEgreso->insertar(

			$_SESSION['usuario_id'],

			$_SESSION['usuario_id'],

			fecha_mysql($fec),

			'',

			$doc,

			$numdoc,

			$det,

			moneda_mysql(0),

			'1',

			'3',

			$subcue_id,

			$provid,

			'1',

			$mon,

			'4',

			$compag_id,

			$_POST['cmb_egre_tip'],

			'',

			'',

			'',

			'',

			'',

			'',

			$_POST['txt_egr_nroope'],

			$_POST['txt_egr_gasope'],

			moneda_mysql($tot),

			$_POST['txt_egr_diamor'],

			moneda_mysql($_POST['txt_egr_intmor']),

			moneda_mysql($_POST['txt_egr_intven']),

			moneda_mysql($_POST['txt_egr_intade']),

			moneda_mysql($_POST['txt_egr_intcom']),

			moneda_mysql($_POST['txt_egr_gaspro']),

			moneda_mysql($_POST['txt_egr_compro']),

			moneda_mysql($_POST['txt_egr_porte']),

			moneda_mysql($_POST['txt_egr_nvoimp']),

			fecha_mysql($_POST['txt_egres_fecnva']),

			moneda_mysql($_POST['txt_egres_amor']),

			$_POST['txt_egres_diaspro'],

			moneda_mysql($_POST['txt_egr_comdeval']),

			$_POST['txt_egr_tasa'],

			moneda_mysql($_POST['txt_egr_itf'])

		);

			

		}

			



			$dtscp=$oComprapago->ultimoInsert();

			$dtcp = mysqli_fetch_array($dtscp);

				$compag_id=$dtcp['last_insert_id()'];

			mysqli_free_result($dtscp);

	

}



unlink($archivo);



	 $data['com_msj']='Archivo procesado correctamente.';			

	echo json_encode($data);			

?>